#
# spec file for package python-requests-oauthlib
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-requests-oauthlib
Version:        0.4.2
Release:        1.1
Summary:        OAuthlib authentication support for Requests
License:        ISC
Group:          Development/Languages/Python
Url:            https://github.com/requests/requests-oauthlib
Source:         https://pypi.python.org/packages/source/r/requests-oauthlib/requests-oauthlib-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-oauthlib >= 0.6.2
BuildRequires:  python-setuptools
Requires:       python-oauthlib >= 0.6.2
BuildRequires:  python-requests >= 2.0.0
Requires:       python-requests >= 2.0.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This project provides first-class OAuth library support for Requests.

%prep
%setup -q -n requests-oauthlib-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
# python setup.py test

%files
%defattr(-,root,root,-)
%doc AUTHORS.rst LICENSE README.rst
%{python_sitelib}/*

%changelog
* Thu Mar 26 2015 prusnak@opensuse.org
- updated to 0.4.2:
  - New ``authorized`` property on OAuth1Session and OAuth2Session,
    which allows you to easily determine if the session is already
    authorized with OAuth tokens or not.
  - New ``TokenMissing`` and ``VerifierMissing`` exception classes
    for OAuth1Session: this will make it easier to catch and identify
    these exceptions.
* Wed Jul 23 2014 mcihar@suse.cz
- Upgrade to 0.4.1:
  - New install target ``[rsa]`` for people using OAuth1 RSA-SHA1 signature
    method.
  - Fixed bug in OAuth2 where supplied state param was not used in auth url.
  - OAuth2 HTTPS checking can be disabled by setting environment variable
    ``OAUTHLIB_INSECURE_TRANSPORT``.
  - OAuth1 now re-authorize upon redirects.
  - OAuth1 token fetching now raise a detailed error message when the
    response body is incorrectly encoded or the request was denied.
  - Added support for custom OAuth1 clients.
  - OAuth2 compliance fix for Sina Weibo.
  - Multiple fixes to facebook compliance fix.
  - Compliance fixes now re-encode body properly as bytes in Python 3.
  - Logging now properly done under ``requests_oauthlib`` namespace instead
    of piggybacking on oauthlib namespace.
  - Logging introduced for OAuth1 auth and session.
* Thu Nov  7 2013 mcihar@suse.cz
- initial packaging
